/*!
 * =====================================================
 * SHOPEX v1.0.0 ()
 * =====================================================
 */
window.ONex = {
    env: "production",
//	base:"http://yeji.guozhen.cn/index.php/openapi/rpc/service",
//  url: "http://yeji.guozhen.cn/index.php/openapi/rpc/service",
    //更改此处同时修改update.js以及关于国珍在线页的json文件地址
    base_url:"http://yeji.guozhen.cn/",
    app_sign_type: 'MD5',
    app_format: "json",
    app_id: "newage",
    app_version: "v2.4.1",
    app_secret: 'KAVYTEHGAHokYKXtIuhKnZTrbmQeTTZZ',
    flag: "APP",
    market: "qq", //此处根据具体应用市场做修改
    tap: mui.os.plus ? 'tap' : 'click',
    gzyx_android:'http://www.5dgz.com/zt/20171218/guozhenyouxuan.html',//国珍优选Android下载地址
    gzyx_ios:'itms-apps://itunes.apple.com/us/app/%E5%9B%BD%E7%8F%8D%E4%BC%98%E9%80%89/id1193979216?l=zh&ls=1&mt=8',//国珍优选App Store下载地址
    id_num_set:'yes',
};

var debug = function(json, title){
	var t = title || '';
	console.log('------------------'+t+'------------------')
	console.log(JSON.stringify(json))
	console.log('------------------'+t+'------------------')
};

(function($) {
	
	
	ONex.Api = $.Class.extend({
        init: function () {
            this.initConfig()
        }, 
        initConfig: function () {
            this.url = ONex.url, this.app_sign_type = ONex.app_sign_type, this.app_format = ONex.app_format, this.app_version = ONex.app_version, this.app_secret = ONex.app_secret
        }, 
        getSign:function (param) {
        	var data = null;
			if(!param){
				return data;
			}
			data = this.setSign(param);
			return data;
        },
        getToken: function () {
			var stateText = localStorage.getItem('$state') || "{}";
			var state = JSON.parse(stateText);
			return state.sign;
        }, 
        success: function (e) {

			if(!e){
				return ;
			}
			//业务级错误
			if(e.response.code=='e0000002'){
				if(e.response.offline == '1' && !localStorage.getItem('offline')){ //如果返回里存在这个字段，表示当前账号在其他设备登录
					localStorage.setItem('offline',1);
					mui.alert(e.response.msg);
					localStorage.setItem('$state', JSON.stringify({}));
					clicked('_www/view/login/login.html','login')
					reutrn;
				}
				return e.response.msg;
			}
        	var code = e.response.rsp;
        		data = null;        		
        		
        	switch(code){
			    case 'fail':
			    	plus.nativeUI.closeWaiting();
			        $.toast(e.response.msg);
			        break;
			    case 'succ':
			    	data = e.response.data;
			        break;
			    default:
			    	g.error('FAILED_NETWORK');
			        // console.log(code);
			       
        	}
        	
            return data;
        }, 
        error: function (errcode) {
        	switch(errcode){
        		case 'EXIST_TOKEN':
			    	$.toast('在其他设备已登录，不是本人请联系客服修改密码');
					break;
//			    case 'FAILED_NETWORK':
//			        $.toast('您的网络好像不太给力，请稍后再试');
//			        break;
				case 'FAILED_NETWORK':	
				    var currentpage=plus.webview.currentWebview();
				    var currentpageID=currentpage.id;
				    var rOpen = plus.webview.getLaunchWebview(); //首页
	//			    console.log('rOpen:'+new Date().getTime());
				    if(rOpen){
				    	switch(currentpageID){
				    	case 'login'://登录页面
	//					 console.log('login页面'+new Date().getTime());
						 $.toast('您的网络好像不太给力，请稍后再试');
						 $.fire(currentpage,'setActive');
						   break;										
	  			    	 default:
	 // 			    	 console.log('default页面'+new Date().getTime());
						 var btnArray = ['取消', '重试'];
						 $.confirm('您的网络好像不太给力，请稍后再试？', '', btnArray, function(e) {
							if (e.index == 1) {	
								   plus.webview.currentWebview().reload(true);
								}
							});		    	 
						    
						 };
				    }else{
	//			    	       console.log('引导页面'+new Date().getTime());
								$.openWindow({
							    id:'index',
							    url:'index.html',
							    show:{
							      autoShow:true,//页面loaded事件发生后自动显示，默认为true
							      aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
							      duration:'200'//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
							    },
							});					    	
				    }

			    case 'TIME_OUT':
//			        $.toast('连接超时！');
			        break;    
			    default:
			    	$.toast('您的网络好像不太给力，请稍后再试');
			   
        	}
        }, 
        post:function(option, param, callback){
        	
//      	if(plus.networkinfo.CONNECTION_NONE==1){
//				mui.toast('无网络连接')
//				plus.nativeUI.closeWaiting();
//				return false;
//			}
        	var self = this;
        	this.network();
        	//获得版本服务器
				var server=ONex.base_url+"version.json&"+Date.parse(new Date());//获取升级描述文件服务器地址
				mui.getJSON(server,{"appid":ONex.app_id,"version":ONex.app_version},function (data) {
					data.forEach(function(el, i){
						if(el.verssion==ONex.app_version){
							self.url = el.base_url+'/index.php/openapi/rpc/service';
//							console.log(self.url)
							ONex.gzyx_ios = el.gzyx_ios_url?el.gzyx_ios_url:ONex.gzyx_ios;
							ONex.gzyx_android = el.gzyx_android_url?el.gzyx_android_url:ONex.gzyx_android;
							ONex.id_num_set = el.id_num_set?el.id_num_set:ONex.id_num_set;
							mui.setItem('id_num_set',ONex.id_num_set);
							self.sendPost(option, param, callback,self.url);
							
							if(el.status==false){
								setTimeout(function(){
									plus.nativeUI.confirm( el.title, function(event){
										if ( 0==event.index ) {
												//ios
												if(plus.os.name=="iOS") {
													plus.runtime.openURL( el.ios_url );
												}
												if(plus.os.name=="Android") {
													plus.runtime.openURL( el.android_url );
												}
//												var server=ONex.base_url+"androidUpdate.json&"+Date.parse(new Date());;//获取升级描述文件服务器地址
//												if(plus.os.name=="iOS") {
//													server=ONex.base_url+"iosUpdate.json&"+Date.parse(new Date());//获取升级描述文件服务器地址	
//												}
//												mui.getJSON(server,{"appid":ONex.app_id,"version":ONex.app_version},function (json) {
//													plus.runtime.openURL( json.url );
//												});
										}else{
											plus.runtime.quit();
										}
									}, el.note, ["立即下载","退出"] );
								},1000)
							}
						}
					})
				});
        },
        sendPost: function (option, param, callback,url) {
        	var g = this;
        		f = g.getToken();
        		flag = ONex.flag;
//    		param.token = f;
				if (f) {
					var info = plus.push.getClientInfo();
					param.token = f;
					param.uuid = plus.device.uuid;
//					param.clientId = info.clientid;
				}
        		//跨域处理
				var postdata = {
					method: option,
					content: param,
					login_token: f,
					flag: flag,
					app_version:ONex.app_version
               };
             var xhr = new plus.net.XMLHttpRequest();
				xhr.onreadystatechange = function () {
					switch ( xhr.readyState ) {
						case 4:
							if ( xhr.status == 200 ) {
								try{
									//g.error('FAILED_NETWORK'); 
//									console.log(xhr.responseText);
									var json = JSON.parse(xhr.responseText);
									var res = g.success(json);
//									console.log(res)
									if(res){	
										callback.call(g, res);
									}else{//获取成功 data为null
//										callback.call(g, 'empty');
									}
									
								}catch(e){
									// console.log(JSON.stringify(e))
//									g.error('FAILED_NETWORK');
								}
								
							} else {
								// console.log('here')
								g.error('FAILED_NETWORK');
							}
							break;
						default :
//							console.error(xhr.readyState)
//							g.error('FAILED_NETWORK');
							break;	
					}
				};
				xhr.ontimeout = function(){
					// xhr请求超时事件处理
					g.error('TIME_OUT');
				}
				// console.log(JSON.stringify(postdata));
				// console.error(url);
				xhr.open( "POST", url);
				xhr.setRequestHeader('Content-Type','application/json');
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				xhr.send(JSON.stringify(postdata));
        },
        send: function (method, param, callback) {
            this.post(method, param , callback);
        },
        login: function (param, callback) {
        	
            this.post('user.login', param , callback);
        },
        getMobile: function (param, callback) {
            this.post('user.getMobile', param , callback);
        },
        sendVcode: function (param, callback) {
            this.post('user.sendVcode', param , callback);
        },
        resetPwd: function (param, callback) {
            this.post('user.resetPwd', param , callback);
        },
        safetyQuestion: function (param, callback) {
            this.post('user.safetyQuestion', param , callback);
        },
        consultGetList: function (param, callback) {
            this.post('consult.getList', param , callback);
        },
        consultGetContent: function (param, callback) {
            this.post('consult.getContent', param , callback);
        },
        consultSearch: function (param, callback) {
            this.post('consult.search', param , callback);
        },
        consultRefresh: function (param, callback) {
            this.post('consult.refresh', param , callback);
        },
        consultTypeList: function (param, callback) {
            this.post('consult.typeList', param , callback);
        },
        messageTypeList: function (param, callback) {
            this.post('message.getTypeList', param , callback);
        },
        messageGetList: function (param, callback) {
            this.post('message.getList', param , callback);
        },
        messageGetContent: function (param, callback) {
            this.post('message.getContent', param , callback);
        },
        messageUpdate: function (param, callback) {
            this.post('message.update', param , callback);
        },
        searchFeat: function (param, callback) {
            this.post('search.feat', param , callback);
        },
        searchCardExpiry: function (param, callback) {
            this.post('search.cardExpiry', param , callback);
        },
        searchReward: function (param, callback) {
            this.post('search.reward', param , callback);
        },
        searchgetFeatDate: function (param, callback) {
            this.post('search.getFeatDate', param , callback);
        },
        searchgetRewardDate: function (param, callback) {
            this.post('search.getRewardDate', param , callback);
        },
        itemSearch: function (param, callback) {
            this.post('item.search', param , callback);
        },
        itemGetInfo: function (param, callback) {
            this.post('item.getInfo', param , callback);
        },
        feedbackAdd: function (param, callback) {
            this.post('feedback.add', param , callback);
        },
        feedbackTypeList: function (param, callback) {
            this.post('feedback.typeList', param , callback);
        },
        slideGet: function (param, callback) {
            this.post('slide.get', param , callback);
        },
        userPersonalCenter: function (param, callback) {
            this.post('user.personalCenter', param , callback);
        },
        childCenter: function(param, callback) {
			this.post('user.childCenter', param, callback);
		},
        consultFind: function (param, callback) {
            this.post('consult.find', param , callback);
        },
        getUsername: function(param, callback) {
			this.post('user.username', param, callback);
		},
		itemTitleList: function(param, callback) {
			this.post('item.titleList', param, callback);
		},
		guideGet: function(param, callback) {
			param= {'type':'1','uuid':plus.device.uuid,'market':ONex.market,'version':'2.1.2','devoice_vendor':plus.device.vendor,'devoice_model':plus.device.model}
			//此处的market根据
			this.post('guide.get', param, callback);
		},
		userRegValide: function(param, callback) {
			this.post('user.regValide', param, callback);
		},
		userSetPwd: function(param, callback) {
			this.post('user.setPwd', param, callback);
		},
		cartGetCartInfo: function(param, callback) {
			this.post('cart.getCartInfo', param, callback);
		},
		cartRemove: function(param, callback) {
			this.post('cart.remove', param, callback);
		},
		userGetDotAddrs: function(param, callback) {
			this.post('user.getDotAddrs', param, callback);
		},
		cartAddgzzx: function(param, callback) {
			this.post('cart.addgzzx', param, callback);
		},
		tradeCreate: function(param, callback) {
			this.post('trade.createTrade', param, callback);
		},
		itemSearchSku: function(param, callback) {
			this.post('item.searchSku', param, callback);
		},
		collectAdd: function(param, callback) {
			this.post('collect.add', param, callback);
		},
		collectGet: function(param, callback) {
			this.post('collect.get', param, callback);
		},
		collectDel: function(param, callback) {
			this.post('collect.del', param, callback);
		},
		transGetOfflineStore: function(param, callback) {
			this.post('trans.getOfflineStore', param, callback);
		},
		transGetOnlineStore: function(param, callback) {
			this.post('trans.getOnlineStore', param, callback);
		},
		storeGetMyStore: function(param, callback) {
			this.post('store.getMyStore', param, callback);
		},
		userUsername: function(param, callback) {
			this.post('user.username', param, callback);
		},
		transPreTransData: function(param, callback) {
			this.post('trans.preTransData', param, callback);
		},
		transStoreTrans: function(param, callback) {
			this.post('trans.storeTrans', param, callback);
		},
		cartQuickBuy: function(param, callback) {
			this.post('cart.quickBuy', param, callback);
		},
		cartUpdate: function(param, callback) {
			this.post('cart.update', param, callback);
		},
		cartBuyAgain: function(param, callback) {
			this.post('cart.buyAgain', param, callback);
		},
		transGetMyTransOut: function(param, callback) {
			this.post('trans.getMyTransOut', param, callback);
		},
		transGetMyTransIn: function(param, callback) {
			this.post('trans.getMyTransIn', param, callback);
		},
		transGetTransDetail: function(param, callback) {
			this.post('trans.getTransDetail', param, callback);
		},
		performanceApply: function(param, callback) {
			this.post('performance.apply', param, callback);
		},
		tradeGetPayURL: function(param, callback) {
			this.post('trade.getPayURL', param, callback);
		},
		couponListURL: function(param, callback) {
			this.post('coupon.couponList', param, callback);
		},
        setSign: function (param){
        	//生成签名算法
        	var assembleVal = this.getAssemble(param)
        	return assembleVal;
        	return hex_md5(hex_md5(assembleVal).toUpperCase+this.app_secret).toUpperCase;
        },
        getAssemble: function (param){
        	if(!(param instanceof Array))  return null;
        	ksort(param,SORT_STRING)
        	var sign = '';
        	var a = '';
			for(var key in val) {
			   	for(var i in val[key]){
					if (!val[key][i] && typeof val[key][i] != "undefined" && val[key][i] != 0){
					    continue;
					}
					
					if(!new Boolean(val[key][i])){
						val[key][i] = 0;
					}else{
						val[key][i] = 1;
					}
				   	(val[key][i] instanceof Array) ? a = this.getAssemble(val[key][i]): a=val[key][i];
				    sign+=i+a;
			   }
			}
	        return sign;
        },
        network:function() {
		  var nt = plus.networkinfo.getCurrentType();
		
		  switch(nt) {
		    case plus.networkinfo.CONNECTION_ETHERNET:
		    case plus.networkinfo.CONNECTION_WIFI:
//		      plus.nativeUI.toast("已连接到wifi网络", {
//		        duration: 'long',
//		        verticalAlign: 'center'
//		      });
		      break;
		    case plus.networkinfo.CONNECTION_CELL2G:
		    case plus.networkinfo.CONNECTION_CELL3G:
		    case plus.networkinfo.CONNECTION_CELL4G:
//		      plus.nativeUI.toast("您网络已切换到蜂窝网络，继续浏览会产生流量", {
//		        duration: 'long',
//		        verticalAlign: 'center'
//		      });
		      break;
		    default:
		      plus.nativeUI.toast("您的网络已断开", {
		        duration: 'long',
		        verticalAlign: 'center'
		      });
		      plus.nativeUI.closeWaiting();
		      return false;
		      break;
		  }
		}
   });
    
    mui.setItem = function (key, value) {
		if (window.plus) {
			value = JSON.stringify(value);
			plus.storage.setItem(key, value);
		} else{
			console.error('plus not ready');
		}
    };
    mui.getItem = function (key) {
		if (window.plus) {
			var data = plus.storage.getItem(key);
			try{
				data = JSON.parse(data);
			}catch(e){
				//do nothing
			}
			return data;
		} else{
			console.error('plus not ready');
		}
    };
    mui.removeItem = function (key) {
		if (window.plus) {
			plus.storage.removeItem(key);
		} else{
			console.error('plus not ready');
		}
    };
})(mui);

(function(a,b) {
	b.Init = a.Class.extend({
        init: function(a) {
            b.page = a,
            a && new b[a + "Page"]
        },
        getSerUrl:function(){
        	var server=ONex.base_url+"version.json&"+Date.parse(new Date());//获取升级描述文件服务器地址
			mui.ajax({
			    url: server,
			    data: {"appid":ONex.app_id,"version":ONex.app_version},
			    async: true,
			    dataType: 'json',
			    crossDomain: true, //强制使用5+跨域
			    type: 'get',
			    timeout: 10000,
			    success: function(data) {
			    	var jsonp = eval(data);  
			        jsonp.forEach(function(el, i){
						if(el.verssion==ONex.app_version){
							 var serurl = el.base_url;
						}
					})
			    },
			    error: function(xhr, type, errorThrown) {
			        // 请求失败
			        // console.log(xhr.status)
			    }
			});
			return serurl;
        }
    })
})(mui,ONex);

/**
 * getCookieExpire
 * @param  {object} x 时间对象
 * @return {string}     example: Friday,24-Jan-2015 16:24:36 GMT
 */
function getCookieExpires(x){
    var a = x.toUTCString();
    var b = a.split(" ");
    var string = b[0] + b[1]+"-"+b[2]+"-"+b[3]+" "+b[4]+" "+b[5];
    return string;
}

/**
 * 设置path为/的cookie
 * @param {string} key     key
 * @param {string} val     val
 * @param {int} expires 为0过期时间为50年,否则单位为秒
 */
function setCookie(key, val, expires){

//  //当过期时间为0时,过期时间为50年
//  if (expires === 0) {
//      var now = new Date();
//      now.setFullYear(now.getFullYear()+50);
//  }else{
//      //当过期时间不为0时,过期时间增加 expires 秒
//      now.setSeconds( now.getSeconds()+parseInt(expires) );   
//  }
//
//  var host=ONex.base_url;
//  var value = key+"="+val+"; expires="+getCookieExpires(now)+"; path=/";
//	
//	plus.navigator.setCookie( host, value );
    mui.setItem(key, val);
}

/**
 * 取得cookie
 * @param  {string} key key
 * @return {string}     val
 */
function getCookie(key){
//  var host=ONex.base_url;
//  var cookie = plus.navigator.getCookie( host );
//  var cookieTmp = cookie.replace(/ /g, '');
//  var cookieArr = cookieTmp.split(";");
//  var tmp = null;
//
//  for(var i in cookieArr){
//      tmp = cookieArr[i].split("=");
//      if (tmp[0] == key) {
//          return tmp[1];
//      }
//  }
	
	if( mui.getItem(key) !== null ){
		return mui.getItem(key);
	}else{
		return null;
	}
}

function ga(){
	mui.plusReady(function() {
//		console.log(plus.webview.getTopWebview().id);
		console.log(plus.webview.currentWebview().id);
		window['ga_params'] = [];
		window['ga_params']['uri'] = plus.webview.currentWebview().id;
		
		if(typeof app !== "undefined" && app.getState().account === undefined){
			window['ga_params']['userCard'] = app.getState().account;
		}else{
			window['ga_params']['userCard'] = null;
		}
		
		window['ga_params']['protocol'] = 'http';
		(function() {
		 if(document.getElementById('ga') !== null){
		 	document.getElementById('ga').parentNode.removeChild(document.getElementById('ga'));
		 }
		 var a = document.createElement("script");
		 // a.src = (ga_params['protocol'] === undefined ? 'http' : ga_params['protocol'])+"://tongji.guozhen.cn/ga.js?"+(Math.floor(Math.random()*2147483648).toString(36));
         a.src = "core/ga.js?"+(Math.floor(Math.random()*2147483648).toString(36));
         
         //需要注意现在仅适用/和/view/xxx/xxx.html两种路径
         if(a.src.match('/view/') !== null){
         	a.src = "../../core/ga.js?"+(Math.floor(Math.random()*2147483648).toString(36));
         }
         
         a.id = "ga";
		 var s = document.getElementsByTagName("script")[0]; 
		 s.parentNode.insertBefore(a, s);
		})();
	});
}

/**
 * ga统计触发函数
 */
function initGa(){
	var limit = 200;
	mui.plusReady(function() {
		var currentTime = new Date().getTime();

		if(mui.getItem('currentTime') === null || currentTime - parseInt(mui.getItem('currentTime')) > limit){
			mui.setItem('currentTime', currentTime);
		}else{
			return true;
		}
		
		var currentViewId = plus.webview.getTopWebview().id;
		setCookie('currentViewId', currentViewId, 0);
		
		//当上一页与当前页不相符时
		if(getCookie('preViewId') !== getCookie('currentViewId')){
			setCookie('preViewId', currentViewId, 0);
			ga();
			return true;
		}
		
	});
}
//200毫秒执行一次
//var gaInt=window.setInterval("initGa()",200);

/**
 * 首页任务
 */
var slideLoaded1 = false;	//已加载slide?
var slideLoaded2 = false;	//已加载slide的监听?

function indexTask(){
    mui.plusReady(function() {
    		//首页才执行
        if (plus.webview.getTopWebview().id != 'index') {
        		//置为false,使后面进入首页时indexSlideGet得以执行
        		slideLoaded1 = false;
            return true;
        }
        
        //执行首页的slideGet方法
        if(typeof indexSlideGet == 'function'){
        		indexSlideGet();
        }

    });
}

/**
 * 全局触发
 */
function globalTask(){
    indexTask();
}
//var gaInt=window.setInterval("globalTask()", 2000);


//open.window
var _openw = null;
var as = 'pop-in'; // 默认窗口动
function clicked(url,id, param, a, s) {
	ga()
  var obj = {
    preate: true
  };
  if(_openw) {
    return;
  }
  a || (a = as);
  _openw = preate[url];
  if(_openw) {
    _openw.showded = true;
    _openw.show(a, null, function() {
      _openw = null; //避免快速点击打开多个页面
    });
    _openw.reload();
  } else {
    var wa = plus.nativeUI.showWaiting();
    obj = mui.extend(obj, param);

    _openw = plus.webview.create(url, id, {
      scrollIndicator: 'none',
      scalable: false,
      popGesture: 'hide'
    }, obj);
    preate[url] = _openw;
    _openw.setStyle({
      'popGesture': 'none'
    });
    _openw.addEventListener('loaded', function() { //页面加载完成后才显示
      setTimeout(function() { //延后显示可避免低端机上动画时白屏
        wa.close();
        _openw.showded = true;
        s || _openw.show(a, null, function() {
          _openw = null; //避免快速点击打开多个页面
        });
        s && (_openw = null); //避免s模式下变量无法重置
      }, 10);
    }, false);
    _openw.addEventListener('hide', function() {
      _openw && (_openw.showded = true);
      _openw = null;
    }, false);
    _openw.addEventListener('close', function() { //页面关闭后可再次打开
      _openw = null;
      preate[url] && (preate[url] = null); //兼容窗口的关闭
    }, false);
  }
}

// 预创建二级页面
var preate = {};

function preateWebviews() {
  preateWebivew('plus/webview.html');
  var plist = document.getElementById('plist').children;
  // 由于启动是预创建过多Webview窗口会消耗较长的时间，所以这里限制仅创建5个
  for(var i = 0; i < plist.length && i < 2; i++) {
    var id = plist[i].id;
    id && (id.length > 0) && preateWebivew(id);
  }
}

function preateWebivew(id) {
  if(!preate[id]) {
    var w = plus.webview.create(id, id, {
      scrollIndicator: 'none',
      scalable: false,
      popGesture: 'hide'
    }, {
      preate: true
    });
    preate[id] = w;
    w.addEventListener('close', function() { //页面关闭后可再次打开
      _openw = null;
      preate[id] && (preate[id] = null); //兼容窗口的关闭
    }, false);
  }
}
// 清除预创建页面(仅)
function preateClear() {
  for(var p in preate) {
    var w = preate[p];
    if(w && w.showded && !w.isVisible()) {
      w.close();
      preate[p] = null;
    }
  }
}
//back
var _back = mui.back;
mui.back = function(){
	ga()
  	_back();
}

/*
 * 打开国珍优选或跳转至指定页面
 * 
 * type:gzyx/msg/article/goods/chain/coupon
 * idOrUrl:消息、文章、商品的ID 或 外部链接的完整URL地址
 * from:请求来源，推送、启动广告、轮播、优惠券、优惠卡、首页图标(push/startads/slide/coupon/mycard/index)
 */
function adsToPage(type,idOrUrl,from){
	var stateText = localStorage.getItem('$state') || "{}";
	var state = JSON.parse(stateText),account=state.account;
	switch(type){
		case "gzyx":
			preJumpOrDownloadGZYX(account,from);
			break;
		case "msg":
			if(!account) {
				//是否去登录
				clicked('_www/view/login/login.html','login',{
					showId:'_www/view/message/index.html',
				});
			}else{
				clicked('_www/view/message/index.html','news');
			}
			break;
		case "article":
			if(idOrUrl==null || idOrUrl==''){
				return false;
				break;
			}
			clicked('_www/view/business/detail.html','bdeatil-'+idOrUrl,{arctice_id:idOrUrl});
			break;
		case "product":
			if(idOrUrl==null || idOrUrl==''){
				return false;
				break;
			}
			clicked('_www/view/product/detail.html','product-'+idOrUrl,{iid:idOrUrl});
			break;
		case "chain":
			if(idOrUrl==null || idOrUrl==''){
				return false;
				break;
			}
			plus.runtime.openURL(idOrUrl);
			break;
		case "coupon":
			clicked('_www/view/coupon/coupon-center.html','coupon-center');
			break;
		default:
			return false;
		break;
	}
	return true;

}
//打开或下载国珍优选预处理方法
function preJumpOrDownloadGZYX(account,from){
	console.log(account);
	var u=account?account:'';
	if(account){
		var curWobj = plus.webview.currentWebview();
		curWobj.appendJsFile('_www/js/rsa/RSA.js');
		curWobj.appendJsFile('_www/js/rsa/BigInt.js');
		curWobj.appendJsFile('_www/js/rsa/Barrett.js');
		setTimeout(function(){
			//keys
			setMaxDigits(130);  
			var keys = new RSAKeyPair("10001","","913713e91070d80c5ca7a40e153a072d59b3714d714e3a59a04f56cc5fabef021d42615bb58ba31d3b167d8ae5c6a3805eca3aa84d738a7021b594ffc5b68b4307c380d6d8f17c27879bb26a9d4c91e0aa0a0105eba284becca672df2c9cbbf74a2618bfc59652df93f9b2988b2ebf1b1a5ab93ba32cbb0c78151f0297675cd3"); 
			account = encryptedString(keys, account);
		    jumpOrDownloadGZYX(u,account,from);
		},50);
	}else{
		jumpOrDownloadGZYX(u,account,from);
	}
	
}
//打开或下载国珍优选实现方法
function jumpOrDownloadGZYX(u,account,from){
	//指标统计相关参数
	var o='',uuid=plus.device.uuid,isexists='1';
	if ( plus.os.name == "Android" ) {
		o = 'Android';
        plus.runtime.launchApplication( {
            pname:"com.xinshidai.shop718",extra:{user_card:account}}, function ( e ) {
            isexists='0';
            plus.nativeUI.confirm( "检查到您未安装\"国珍优选\"，立即下载？", function(i){
                if ( i.index == 0 ) {
                    plus.runtime.openURL( ONex.gzyx_android );
                }
            });
        });
    } else if ( plus.os.name == "iOS" ) {
    	o='iOS';
        plus.runtime.launchApplication( {
            action:"com.guozhen.webapp://params?user_card="+account}, function ( e ) {
            isexists='0';
            plus.nativeUI.confirm( "检查到您未安装\"国珍优选\"，立即下载？", function(i){
                if ( i.index == 0 ) {
                    plus.runtime.openURL( ONex.gzyx_ios );
                }
            });
        });
    }
    setTimeout(function(){
	    var log = {'u':u,'o':o,'uuid':uuid,'isexists':isexists,'from':from};
	    console.error(JSON.stringify(log));
	    new ONex.Api().post('collect.gzyxCollect',log,function(c){
	    	console.error(c);
	    });
    },300);
}
